curl --request POST \
--url https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags"
payload = { "tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"historyHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"historyHeadSequence": "<string>",
"link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
},
"indexCard": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"resolution": "<string>",
"is_open": true,
"deadline": "2023-11-07T05:31:56Z",
"effort": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_status_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sprint_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_statuses": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_name": "<string>",
"status_color": "<string>",
"sprint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"team_placements": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sprint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"history_head_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"history_head_sequence": "<string>",
"search_text": "<string>",
"created_by_user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_display_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Add a tag to a card
Adds an existing project tag and records the change in card history. Re-adding the same tag is accepted and may return an empty JSON object.
curl --request POST \
--url https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags"
payload = { "tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://davinci-app.com/api/v2/projects/{projectId}/cards/{cardId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"historyHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"historyHeadSequence": "<string>",
"link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
},
"indexCard": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"resolution": "<string>",
"is_open": true,
"deadline": "2023-11-07T05:31:56Z",
"effort": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_status_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sprint_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_statuses": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_name": "<string>",
"status_color": "<string>",
"sprint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"team_placements": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sprint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"history_head_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"history_head_sequence": "<string>",
"search_text": "<string>",
"created_by_user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_display_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Personal access token. The scopes granted at issuance determine both which
operations the key may call and the ceiling on the resource permissions it
can exercise. Each scope family is a ladder: projects:manage implies
projects:write and projects:read; cards:manage implies cards:write
and cards:read; and teams:manage implies teams:write and teams:read.
These are named API capability bundles, not blanket domain roles:
manage exposes only the permissions enumerated for that scope and never
bypasses the acting user's current role-based access.
Headers
Quoted or unquoted latest card historyHeadId. When the request body also
contains expectedHistoryHeadId, both values must match. A stale head
returns 409 CARD_HISTORY_CONFLICT without applying the mutation.
132Path Parameters
Project id. May be compound in the form {projectId}--{branchName}.
1Agile card id.
Body
Response
Tag attached, or already attached.
The link field is omitted when the identical link already existed.
Latest committed card-history row ID; null only before a card has history.
Globally monotonic card-history sequence.
^\d+$Hide child attributes
Hide child attributes
10000x >= 0Hide child attributes
Hide child attributes
Latest committed card-history row ID; null only before a card has history.
Globally monotonic card-history sequence.
^\d+$8192